Skip to content
Browse files

Relax autoconf support from 2.60 to 2.59. This is the version availab…

…le on Centos/RHEL/Oracle Linux 5.6
  • Loading branch information...
1 parent 547ab48 commit 2e235022e9ff618e66adb7352c15f489d05eac60 Christopher Jones committed
Showing with 8 additions and 8 deletions.
  1. +4 −4 build/buildcheck.sh
  2. +2 −2 configure.in
  3. +2 −2 scripts/phpize.m4
View
8 build/buildcheck.sh
@@ -28,18 +28,18 @@ if test -z "$PHP_AUTOCONF"; then
PHP_AUTOCONF='autoconf'
fi
-# autoconf 2.60 or newer
+# autoconf 2.59 or newer
ac_version=`$PHP_AUTOCONF --version 2>/dev/null|head -n 1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
if test -z "$ac_version"; then
echo "buildconf: autoconf not found."
-echo " You need autoconf version 2.60 or newer installed"
+echo " You need autoconf version 2.59 or newer installed"
echo " to build PHP from SVN."
exit 1
fi
IFS=.; set $ac_version; IFS=' '
-if test "$1" = "2" -a "$2" -lt "60" || test "$1" -lt "2"; then
+if test "$1" = "2" -a "$2" -lt "59" || test "$1" -lt "2"; then
echo "buildconf: autoconf version $ac_version found."
-echo " You need autoconf version 2.60 or newer installed"
+echo " You need autoconf version 2.59 or newer installed"
echo " to build PHP from SVN."
exit 1
else
View
4 configure.in
@@ -8,9 +8,9 @@ sinclude(Zend/acinclude.m4)
dnl Basic autoconf + automake initialization, generation of config.nice.
dnl -------------------------------------------------------------------------
-AC_PREREQ(2.60)
+AC_PREREQ(2.59)
AC_INIT(README.SVN-RULES)
-AC_PRESERVE_HELP_ORDER
+ifdef([AC_PRESERVE_HELP_ORDER], [AC_PRESERVE_HELP_ORDER], [])
PHP_CONFIG_NICE(config.nice)
View
4 scripts/phpize.m4
@@ -1,8 +1,8 @@
dnl This file becomes configure.in for self-contained extensions.
-AC_PREREQ(2.60)
+AC_PREREQ(2.59)
AC_INIT(config.m4)
-AC_PRESERVE_HELP_ORDER
+ifdef([AC_PRESERVE_HELP_ORDER], [AC_PRESERVE_HELP_ORDER], [])
PHP_CONFIG_NICE(config.nice)

0 comments on commit 2e23502

Please sign in to comment.
Something went wrong with that request. Please try again.